> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/automation-studio/validate-workflow/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Validate a workflow POST https://example.itential.io/automation-studio/workflows/validate Content-Type: application/json Validates a workflow, and return the resulting errors and warnings arrays. Reference: https://docs.itential.com/itential-cloud/api-reference/automation-studio/validate-workflow ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Body (application/json) This endpoint expects an object. - `workflow` (object, optional) — Accepts all generation workflow documents - `name` (string, required) - `type` (string, required, default: automation) - `tasks` (object, required) - `workflow_start` (object, required) - `name` (string, optional) - `summary` (string, optional) - `groups` (list of object, optional) - `name` (string, required) - `provenance` (string, required) - `x` (double, optional) — Stores the x coordinate used by canvasVersion: 1 workflows - `y` (double, optional) — Stores the y coordinate used by canvasVersion: 1 workflows - `nodeLocation` (object, optional) — Stores the coordinates used by canvasVersion: 3 workflows - `x` (double, optional) - `y` (double, optional) - `workflow_end` (object, required) - `name` (string, optional) - `summary` (string, optional) - `groups` (list of object, optional) - `name` (string, required) - `provenance` (string, required) - `x` (double, optional) — Stores the x coordinate used by canvasVersion: 1 workflows - `y` (double, optional) — Stores the y coordinate used by canvasVersion: 1 workflows - `nodeLocation` (object, optional) — Stores the coordinates used by canvasVersion: 3 workflows - `x` (double, optional) - `y` (double, optional) - `error_handler` (object, optional) — Deprecated gen2-specific feature - `name` ("childJob", required) - `summary` (string, required) - `description` (string, required) - `app` (string, required) - `variables` (object, required) - `incoming` (object, required) - `outgoing` (object, required) - `error` (string, optional) - `decorators` (list of object, optional) - `type` (enum, optional) - Allowed values: `encryption`, `query` - `pointer` (string, optional) - `displayPath` (string, optional) - `groups` (list of object, required) - `name` (string, required) - `provenance` (string, required) - `type` ("operation", required) - `deprecated` (boolean, optional) - `scheduled` (boolean, optional) - `retrySettings` (object, optional, nullable) — Retry settings for a task. - `state` (list of enum, required) — Finish states the task will retry on. The task will retry on any of the included states. - Allowed values: `success`, `error`, `failure` - `autoRetry` (boolean, required) — Whether the task is set to retry automatically or manually. - `limit` (integer, required) — Limit of retries on a task before it will take normal transitions and stop retrying. - `delay` (integer, required) — Delay between each retry in milliseconds. - `count` (integer, optional) — Current retry count used for workflow engine job processing - `transitions` (object, required) - `workflow_start` (object, optional) - `workflow_end` (object, optional) - `error_handler` (object, optional) - `groups` (list of object, required) - `name` (string, required) - `provenance` (string, required) - `_id` (string, optional) - `uuid` (string, optional) - `namespace` (object, optional, nullable) - `type` (any, required) - `_id` (object, required) — A MongoDB ObjectId - `name` (string, required) - `description` (string, optional, nullable) - `preAutomationTime` (integer, optional) — Time (milliseconds) automation would have taken someone to complete without using IAP. - `sla` (integer, optional) - `errorHandler` (object, optional, nullable) — Deprecated gen2-specific feature - `type` (string, optional) - `name` (string, optional) - `font_size` (integer, optional, default: 12) — Deprecated, unused, gen1-specific feature - `created` (string, optional) - `created_by` (object or string, optional) - object - `username` (string, required) - `provenance` (string, required) - `createdBy` (string, optional) — Project related regression bug. This field needs to be accepted - `createdVersion` (string, optional) - `last_updated` (string, optional) - `last_updated_by` (object or string, optional) - object - `username` (string, required) - `provenance` (string, required) - `lastUpdatedVersion` (string, optional) — This value represents the semantic version of the application that last modified it. For workflows with canvasVersion = 1, this field will refer to the version of Workflow Builder. For workflows with canvasVersion > 1, this field will refer to the version of Studio. - `tags` (list of object, optional) - `_id` (string, required) - `name` (string, required) - `description` (string, required) - `canvasVersion` (enum, optional) - Allowed values: `1`, `1.5`, `2`, `3` - `encodingVersion` (enum, optional) - Allowed values: `1` - `inputSchema` (object, optional) - `outputSchema` (object, optional) - `outputData` (map from string to object, optional) — Deprecated gen2-specific feature - `taskId` (string, optional) - `taskPointer` (string, optional) - `decorators` (list of object, optional) - `type` (enum, optional) - Allowed values: `encryption`, `query` - `pointer` (string, optional) - `displayPath` (string, optional) - `migrationVersion` (integer, optional) - `scenarios` (list of object, optional) - `name` (string, required) - `input` (object, required) - `description` (string, optional) - `taskMocks` (object, optional) - `last_updated` (string, optional) - `last_updated_by` (object or string or map from string to any, optional) ## Response ### 200 Errors and warnings output from the validation process - `errors` (list of object, optional) - `warnings` (list of object, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "errors": [ {} ], "warnings": [ {} ] } ``` **SDK Code** ```python import requests url = "https://example.itential.io/automation-studio/workflows/validate" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/automation-studio/workflows/validate'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/automation-studio/workflows/validate" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/automation-studio/workflows/validate") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://example.itential.io/automation-studio/workflows/validate") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://example.itential.io/automation-studio/workflows/validate', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/automation-studio/workflows/validate"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/automation-studio/workflows/validate")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```